Bug 1018235 - repo distributor API documentation should mention relevant Apache configuration entries
repo distributor API documentation should mention relevant Apache configurati...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: documentation (Show other bugs)
2.2
Unspecified Unspecified
medium Severity unspecified
: ---
: 2.3.0
Assigned To: Jay Dobies
pulp-qe-list
https://pulp-dev-guide.readthedocs.or...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 10:12 EDT by mkovacik
Modified: 2013-12-09 09:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:31:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mkovacik 2013-10-11 10:12:50 EDT
Description of problem:
The URL of a content unit depends both on particular distributor configuration 
applied via the POST API call as well as on the related Apache configuration.
For a yum_distributor, these two parts are
 - the "config.relative_url" field in the creating POST API call
 - the Alias directive in the Pulp-rpm-plugin Apache config-file[1],
   set by default to: /pulp/repos/

This should be mentioned in the docs[2].

[1] /etc/httpd/conf.d/pulp_rpm.conf 
[2] https://pulp-dev-guide.readthedocs.org/en/pulp-2.2/integration/rest-api/repo/cud.html#associate-a-distributor-with-a-repository
Comment 1 Jay Dobies 2013-10-28 09:18:24 EDT
https://github.com/pulp/pulp_rpm/pull/365
Comment 2 Jeff Ortel 2013-10-29 11:29:45 EDT
build: 2.3.0-0.26.beta
Comment 3 mkovacik 2013-11-04 08:56:00 EST
Checked in latest docs[1]

[1] http://pulp-rpm-user-guide.readthedocs.org/en/latest/recipes.html
Comment 4 Preethi Thomas 2013-12-09 09:31:37 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.